package com.iamberry.wechat.core.entity.product;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.iamberry.wechat.core.entity.PageBean;


/**
 * 
 * @author 刘志伟
 * Introduction to the ： 商品信息表tb_iamberry_product_info
 * create date: 2016年1月1日
 */
public class Product implements java.io.Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7608606865977788750L;

	private Integer productId;				//商品id
	
	private String productName;				//商品名称
	
	private String productAbbreviation;		//商品简称
	
	private Integer productDiscount;		//商品折扣价
	
	private Integer productPrice;			//商品原价
	
	private Integer productSalesnum;		//已售数量
	
	private Integer productAccessnum;		//浏览量
	
	private Integer productStatus;			//商品状态
	
	private String productIntroduceImg;		//介绍图
	
	private String productParameterImg;		//产品参数图
	
	private Date productCreateDate;			//创建时间
	
	private Integer productSortNum;			//排序
	
	private String productColorDes;			//产品颜色释义  -- 产品简介

	private String imagetextContext;			//产品  -- 产品详情图

	private String productRemark;			//产品备注
	
	private String productColor;			//产品颜色		1：红色	2：橙色	3：黄色	4：绿色
											//			5：青色	6：蓝色	7：紫色	8：白色
	private ProductType productType;			//商品类型

	private String productTypeName;			//商品类型名称

	private String productChildType;		//产品关联小类
	private Integer productChildTypeId;		//产品关联小类

	private String productChildTypeName;			//商品小类类型名称

	private Integer productChoiceness;		//精选类型0：非精选1：精选置顶2：精选排后

	private String productChoicenessIm;		//精选图片
	
	private PageBean page = new PageBean();	//分页信息
	
	private ProductImageText productImageText = new ProductImageText();
	
	private List<ProductPicture> pictureList = new ArrayList<ProductPicture>();

	private List<ProductColor> productColorList; //颜色集合
	
	private Integer minMoney;		//页面显示   最小金额
	
	private Integer maxMoney;		//页面显示  最大金额
	
	private Date beginDate;			//页面显示  开始时间
	
	private Date endDate;				//页面显示  结束时间

	private Integer productTypeId;	//类型id
	private String colorProductPic;	//颜色图片
	private String colorName;	//颜色名称
	private String colorPresent;	//颜色介绍
	private Integer colorDiscount;	//优惠价
	private Integer colorPrice;	//原价
	

	public Integer getMinMoney() {
		return minMoney;
	}

	public void setMinMoney(Integer minMoney) {
		this.minMoney = minMoney;
	}

	public Integer getMaxMoney() {
		return maxMoney;
	}

	public void setMaxMoney(Integer maxMoney) {
		this.maxMoney = maxMoney;
	}

	public Date getBeginDate() {
		return beginDate;
	}

	public void setBeginDate(Date beginDate) {
		this.beginDate = beginDate;
	}

	public Date getEndDate() {
		return endDate;
	}

	public void setEndDate(Date endDate) {
		this.endDate = endDate;
	}

	public ProductImageText getProductImageText() {
		return productImageText;
	}

	public void setProductImageText(ProductImageText productImageText) {
		this.productImageText = productImageText;
	}

	public List<ProductPicture> getPictureList() {
		return pictureList;
	}

	public void setPictureList(List<ProductPicture> pictureList) {
		this.pictureList = pictureList;
	}

	public Integer getProductId() {
		return productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public String getProductName() {
		return productName;
	}

	public void setProductName(String productName) {
		this.productName = productName;
	}

	public String getProductAbbreviation() {
		return productAbbreviation;
	}

	public void setProductAbbreviation(String productAbbreviation) {
		this.productAbbreviation = productAbbreviation;
	}

	public Integer getProductDiscount() {
		return productDiscount;
	}

	public void setProductDiscount(Integer productDiscount) {
		this.productDiscount = productDiscount;
	}

	public Integer getProductPrice() {
		return productPrice;
	}

	public void setProductPrice(Integer productPrice) {
		this.productPrice = productPrice;
	}

	public Integer getProductSalesnum() {
		return productSalesnum;
	}

	public void setProductSalesnum(Integer productSalesnum) {
		this.productSalesnum = productSalesnum;
	}

	public Integer getProductAccessnum() {
		return productAccessnum;
	}

	public void setProductAccessnum(Integer productAccessnum) {
		this.productAccessnum = productAccessnum;
	}

	public Integer getProductStatus() {
		return productStatus;
	}

	public void setProductStatus(Integer productStatus) {
		this.productStatus = productStatus;
	}

	public String getProductIntroduceImg() {
		return productIntroduceImg;
	}

	public void setProductIntroduceImg(String productIntroduceImg) {
		this.productIntroduceImg = productIntroduceImg;
	}

	public String getProductParameterImg() {
		return productParameterImg;
	}

	public void setProductParameterImg(String productParameterImg) {
		this.productParameterImg = productParameterImg;
	}

	public Date getProductCreateDate() {
		return productCreateDate;
	}

	public void setProductCreateDate(Date productCreateDate) {
		this.productCreateDate = productCreateDate;
	}

	public Integer getProductSortNum() {
		return productSortNum;
	}

	public void setProductSortNum(Integer productSortNum) {
		this.productSortNum = productSortNum;
	}

	public String getProductColorDes() {
		return productColorDes;
	}

	public void setProductColorDes(String productColorDes) {
		this.productColorDes = productColorDes;
	}

	public String getProductRemark() {
		return productRemark;
	}

	public void setProductRemark(String productRemark) {
		this.productRemark = productRemark;
	}

	public String getProductColor() {
		return productColor;
	}

	public void setProductColor(String productColor) {
		this.productColor = productColor;
	}

	public ProductType getProductType() {
		return productType;
	}

	public void setProductType(ProductType productType) {
		this.productType = productType;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public List<ProductColor> getProductColorList() {
		return productColorList;
	}

	public void setProductColorList(List<ProductColor> productColorList) {
		this.productColorList = productColorList;
	}

	public Integer getProductChoiceness() {
		return productChoiceness;
	}

	public void setProductChoiceness(Integer productChoiceness) {
		this.productChoiceness = productChoiceness;
	}

	public String getProductChoicenessIm() {
		return productChoicenessIm;
	}

	public void setProductChoicenessIm(String productChoicenessIm) {
		this.productChoicenessIm = productChoicenessIm;
	}

	public String getProductChildType() {
		return productChildType;
	}

	public void setProductChildType(String productChildType) {
		this.productChildType = productChildType;
	}

	public String getProductTypeName() {
		return productTypeName;
	}

	public void setProductTypeName(String productTypeName) {
		this.productTypeName = productTypeName;
	}

	public String getProductChildTypeName() {
		return productChildTypeName;
	}

	public void setProductChildTypeName(String productChildTypeName) {
		this.productChildTypeName = productChildTypeName;
	}

	public String getImagetextContext() {
		return imagetextContext;
	}

	public void setImagetextContext(String imagetextContext) {
		this.imagetextContext = imagetextContext;
	}

	public Integer getProductTypeId() {
		return productTypeId;
	}

	public void setProductTypeId(Integer productTypeId) {
		this.productTypeId = productTypeId;
	}


	public String getColorProductPic() {
		return colorProductPic;
	}

	public void setColorProductPic(String colorProductPic) {
		this.colorProductPic = colorProductPic;
	}

	public String getColorName() {
		return colorName;
	}

	public void setColorName(String colorName) {
		this.colorName = colorName;
	}

	public String getColorPresent() {
		return colorPresent;
	}

	public void setColorPresent(String colorPresent) {
		this.colorPresent = colorPresent;
	}

	public Integer getColorDiscount() {
		return colorDiscount;
	}

	public void setColorDiscount(Integer colorDiscount) {
		this.colorDiscount = colorDiscount;
	}

	public Integer getColorPrice() {
		return colorPrice;
	}

	public void setColorPrice(Integer colorPrice) {
		this.colorPrice = colorPrice;
	}

	public Integer getProductChildTypeId() {
		return productChildTypeId;
	}

	public void setProductChildTypeId(Integer productChildTypeId) {
		this.productChildTypeId = productChildTypeId;
	}

	@Override
	public String toString() {
		return "Product [productId=" + productId + ", productName="
				+ productName + ", productAbbreviation=" + productAbbreviation
				+ ", productDiscount=" + productDiscount + ", productPrice="
				+ productPrice + ", productSalesnum=" + productSalesnum
				+ ", productAccessnum=" + productAccessnum + ", productStatus="
				+ productStatus + ", productIntroduceImg="
				+ productIntroduceImg + ", productParameterImg="
				+ productParameterImg + ", productCreateDate="
				+ productCreateDate + ", productSortNum=" + productSortNum
				+ ", productColorDes=" + productColorDes + ", productRemark="
				+ productRemark + ", productColor=" + productColor + ", page="
				+ page + ", productImageText=" + productImageText
				+ ", pictureList=" + pictureList + "]";
	}


}
